#!/bin/sh
# Under GPL 2.0 and upper versions.
# Copylefted by hip0.
# qmail synchronizer consisting of two shell scripts for
# the two mirrored mail servers.
# All done threw ssh tunnel with rsa_id.pub identification.
# sync-mail1-dir.sh
############# Synchronization Setup Section ##############
# lock file for syncing
lock_f=/tmp/sync_mail_lock;
# rsync parameters
opts="-aze ssh --delete";
# sync mache hostname.
hostname="bulgariatravel.org";
# mail directory for synchronizing.
mail_dir=/var/vpopmail/domains/;
# users directory for syncing.
users_dir=/var/qmail/users/;
# qmail control dir.
control_dir=/var/qmail/control;
rs_bin=/usr/bin/rsync;

############# Check is the sync machine alive and well. Setup Section  ##############
# box to check
box='207.36.180.31';
# port number to use
port_num=22;
# nmap parameters
scanner_stuff="/usr/bin/nmap -P0 -p $port_num";
# port state to match for
op='open';
#############

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/var/qmail/bin:/usr/local/bin:/var/vpopmail/bin

if [ "`$scanner_stuff ${box} | grep "$op" | awk '{ print $2 }'`" != "$op" ]; then
exit 1;
fi




if [[ -n $(pgrep -l rsync) ]]; then
exit 0;
fi

if [[ ! -f $lock_f ]]; then
${rs_bin} ${opts} ${mail_dir} \
${hostname}:${mail_dir};
${rs_bin} ${opts} ${users_dir} \
${hostname}:${users_dir};
${rs_bin} ${opts} ${control_dir}/virtual* \
$hostname:${control_dir};
${rs_bin} ${opts} ${control_dir}/rcp* \
$hostname:${control_dir};
${rs_bin} ${opts} ${control_dir}/more* \
$hostname:$control_dir;
fi
